<?php

class Seccion {
    
    var $TITULO;
    var $USUARIO_ID;
    var $bd;
    
    function Seccion( $titulo = null, $usuario_id = null){
        
	$this->TITULO = $titulo;
	$this->USUARIO_ID = $usuario_id;
        
        //Instancia de Base_Datos()
        $this->bd = new Base_Datos(DB,SERVER,USER,PASSWD,DB_PORT);
        
    }
    
    function Agregar(){
        
        $this->bd->ConsultaSQL("INSERT INTO ".TABLA_SECCIONES." (titulo)
                    VALUES ('{$this->TITULO}');");
        
    }
    
    function Editar( $id = null ){
        
        $this->bd->ConsultaSQL("UPDATE ".TABLA_SECCIONES." SET titulo = '{$this->TITULO}'
                    WHERE id = '{$id}'");
        
    }
    
    function Borrar( $id = null ) {
        
    	return $this->bd->ConsultaSQL("DELETE FROM ".TABLA_SECCIONES." WHERE id='{$id}'");
        
    }
    
    function Listar( $por = "id" , $inicio = 0 , $limite = 30 ){
        
	return $this->bd->ConsultaSQL("SELECT * FROM ".TABLA_SECCIONES." ORDER BY {$por} LIMIT {$inicio},{$limite}");
     
    }
    
    function Buscar( $q = null, $tipo = null ){
	
	switch ($tipo):
        
	    case "xnombre":
                
                return $this->bd->ConsultaSQL("SELECT * FROM ".TABLA_SECCIONES." WHERE nombre LIKE '%{$q}%' ;");
		break;
            
            case "xid":
                
		return $this->bd->enArray($this->bd->ConsultaSQL("SELECT * FROM ".TABLA_SECCIONES." WHERE id='{$q}';"));
		break;
            
	    default:
            
	endswitch;
        
    }
 
}
?>